read.table.url {base} | R Documentation

## Read Data and Code from a URL

### Description

Extensions of `read.table`, `scan`, `source` and `file.show` to read text files on a remote server.

### Usage

    read.table.url(url, method = "auto",...)
    scan.url(url, file = tempfile(), method = "auto", ...)
    source.url(url, file = tempfile(), method = "auto", ...)
    url.show(url, title = url, file = tempfile(),
             delete.file = TRUE, method = "auto", ...)

### Arguments

`url` | The URL to read from
`method` | File transfer method: see `download.file`
`...` | Arguments to pass to `read.table`, `scan`, `source` or `file.show`.
`file` | File to copy to.
`delete.file` | Delete the file afterwards?

### Details

These functions call `download.file` to create a temporary local file. The file can be downloaded by `lynx` or `wget` if these are available on the system. Another option is a direct `HTTP` socket connection, if the local machine allows this.

### Value

The same value as the respective file-based functions.

### See Also

`read.table`, `scan`, `source`, `make.socket`, `read.socket`, `file.show`,`download.file`

### Examples

    read.table.url("http://lib.stat.cmu.edu/jcgs/tu",
       skip=4, header=TRUE)
    url.show("http://lib.stat.cmu.edu/datasets/csb/ch11b.txt")
    beaver<-read.table.url("http://lib.stat.cmu.edu/datasets/csb/ch11b.dat",
      col.names=c("obsnum","day","time","temperature","activity"), row.names=1)
    # the next two examples will only work if socket connections to
    # statlib are allowed from your site.
    url.show("http://lib.stat.cmu.edu/datasets/csb/ch3a.txt",
                      method="socket")
    ozone<-read.table.url("http://lib.stat.cmu.edu/datasets/csb/ch3a.dat",
      col.names=c("date","day.cts","day.passive","night.cts","night.passive"),
      na.strings=".", method="socket")